# Uses of Interface
org.eclipse.emf.cdo.security.impl.PermissionImpl.CommitImpactContext

Packages that use PermissionImpl.CommitImpactContext
Package
Description
org.eclipse.emf.cdo.lm.security.impl
The generated EMF implementation of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.

## Uses of PermissionImpl.CommitImpactContext in org.eclipse.emf.cdo.lm.security.impl

Methods in org.eclipse.emf.cdo.lm.security.impl with parameters of type PermissionImpl.CommitImpactContext
Modifier and Type
Method
Description
`boolean`
LMFilterImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`

## Uses of PermissionImpl.CommitImpactContext in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security with parameters of type PermissionImpl.CommitImpactContext
Modifier and Type
Method
Description
`boolean`
PermissionFilter.`isImpacted(PermissionImpl.CommitImpactContext context)`

## Uses of PermissionImpl.CommitImpactContext in org.eclipse.emf.cdo.security.impl

Methods in org.eclipse.emf.cdo.security.impl with parameters of type PermissionImpl.CommitImpactContext
Modifier and Type
Method
Description
`boolean`
ClassFilterImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
ClassPermissionImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
Deprecated.
`boolean`
CombinedFilterImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
ExpressionFilterImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
FilterPermissionImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
LinkedFilterImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
PackageFilterImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
PackagePermissionImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
Deprecated.
`boolean`
PermissionImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
Should be overridden in subclasses to do proper impact analysis!
`boolean`
ResourceFilterImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
`boolean`
ResourcePermissionImpl.`isImpacted(PermissionImpl.CommitImpactContext context)`
Deprecated.
`static boolean`
ResourceFilterImpl.`isResourceTreeImpacted(PermissionImpl.CommitImpactContext context)`